/* font-family: 'Gideon Roman', sans-serif; */
/* font-family: 'Textos', sans-serif; */

/* Começo do Reset CSS */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ol,
ul {
  list-style: none;
}

table {
  border-collapse: collapse;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  max-width: 100%;
  height: auto;
}

@media (prefers-color-scheme: dark) {
  body {
    background-color: #ffffff !important;
  }
}

/* Fim do Reset CSS */

/* Começo dos Efeitos Para Melhorar o AOS */
section:not(:first-of-type) {
  opacity: 0;
  transform: translateY(50px);
  transition: opacity 0.8s ease, transform 0.8s ease;
}

section {
    scroll-margin-top: 80px;
}

footer {
  opacity: 1;
  transform: none;
}

html {
  scroll-behavior: smooth;
}
/* Fim dos Efeitos Para Melhorar o AOS */

/* Começo da ScrollBar Personalizada */
::-webkit-scrollbar {
  width: 10px; 
  height: 5px; 
}

::-webkit-scrollbar-thumb {
  background-color: #e6c8fa; 
  border-radius: 6px; 
}

::-webkit-scrollbar-track {
  background-color: #ffffff; 
  border-radius: 6px;
}

::-webkit-scrollbar-button {
  background-color: #f9b14f;
  border-radius: 2px;
}

::-webkit-scrollbar-corner {
  background-color: #ffffff; 
}
/* Fim da ScrollBar Personalizada*/

/* Começo do Import das Fontes */
@font-face {
  font-family: "Titulos";
  src: url("./assets/fonts/GideonRoman-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Textos";
  src: url("./assets/fonts/GowunDodum-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
/* Fim do Import das Fontes */

/* Começo do Header */
header {
  background-color: #8156b8cf;
  color: #e6c8fa;
  font-family: "Gideon Roman", sans-serif;
}
/* Fim do Header */

/* Começo da Navbar */
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 2rem;
}
/* Fim da Navbar */

/* Começo da Logo na Navbar */
.logotipo {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-family: "Gideon Roman", sans-serif;
}

.logotipo img {
  width: 50px;
  height: 50px;
  object-fit: contain;
}
/* Fim da Logo na Navbar */

/* Começo do Nome na Navbar */
.nProjeto {
  font-family: "Gideon Roman", sans-serif;
  font-size: 1.2rem;
  font-weight: 500;
  letter-spacing: 1px;
}
/* Fim do Nome na Navbar */

/* Começo dos Itens da Navbar */
.itensNav {
  display: flex;
  gap: 2rem;
  justify-content: center;
  flex: 1;
}

.itensNav li a {
  color: #e6c8fa;
  font-size: 1.1rem;
  transition: color 0.6s;
  font-weight: 600;
}

.itensNav li a:hover {
  color: #f9b14f;
}
/* Fim dos Itens da Navbar */

/* Começo do Botão da Navbar */
.btnNav {
  padding: 0.5rem 1rem;
  background-color: #654e8239;
  color: #e6c8fa;
  font-weight: 500;
  border-radius: 8px;
  -webkit-box-shadow: 1px 9px 23px 0px rgba(0, 0, 0, 0.85);
  box-shadow: 1px 9px 23px 0px rgba(0, 0, 0, 0.43);
  transition: 0.3s;
}

.btnNav:hover {
  -moz-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -o-transform: scale(1.1);
  -ms-transform: scale(1.1);
}
/* Fim do Botão da Navbar */

/* Começo da Sessão Home */
.merlin {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 4rem 2rem;
}
/* Fim da Sessão Home */

/* Começo da Class com Titulo, Subtitulo e Imagem */
.tema {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  max-width: 1200px;
  width: 100%;
}
/* Fim da Class com Titulo, Subtitulo e Imagem */

/* Começo do Texto e Título da Sessão Home */
.textoTema h1 {
  font-family: "Gideon Roman", sans-serif;
  letter-spacing: 3px;
  font-size: 3rem;
  background-image: linear-gradient(to right, #6f00ff49, #f9b14f);
  color: black;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 3rem;
  font-weight: bold;
  line-height: 1.1;
}

.textoTema p {
  font-family: "Textos", sans-serif;
  text-align: justify;
  font-size: 1.2rem;
  line-height: 1.7;
  color: #0b0111;
  max-width: 500px;
  margin-bottom: 1rem;
  font-style: italic;
}
/* Fim do Texto e Título da Sessão Home */

/* Começo do Botão Saiba Mais */
.btnSm {
  background-color: #654e82;
  color: #e6c8fa;
  border-radius: 8px;
  padding: 0.5rem 1rem;
  transition: 0.3s;
}

.btnSm::hover {
}
/* Fim do Botão Saiba Mais */

/* Começo da Imagem na Sessão Home */
.imgTema {
  flex: 1;
  display: flex;
  justify-content: center;
}

.imgTema img {
  width: %;
  max-width: 700px;
  border-radius: 12px;
}
/* Fim da Imagem na Sessão Home */

/* Começo da Sessão Sobre */
.sobre {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 4rem 2rem;
}
/* Fim da Sessão Sobre */

/* Começo da Class com a Imagem 3D, o Slogan e a Descrição */
.desc {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  max-width: 1200px;
  width: 100%;
  flex-direction: row-reverse;
}
/* Fim da Class com a Imagem 3D, o Slogan e a Descrição */

/* Começo do Slogan e da Descrição */
.textoDesc h1 {
  font-family: "Gideon Roman", sans-serif;
  word-spacing: -5px;
  text-align: justify;
  letter-spacing: 3px;
  background-image: linear-gradient(to right, #6f00ff49, #f9b14f);
  color: black;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 3rem;
  font-weight: bold;
  line-height: 1.1;
}

.textoDesc p {
  font-family: "Textos", sans-serif;
  text-align: justify;
  font-size: 1.2rem;
  line-height: 1.7;
  color: #0b0111;
  max-width: 500px;
  margin-bottom: 1rem;
  font-style: italic;
}
/* Fim do Slogan e da Descrição */

/* Começo do Botão Como é Possível */
.btnSb {
  background-color: #654e82;
  color: #e6c8fa;
  border-radius: 8px;
  padding: 0.5rem 1rem;
  transition: 0.3s;
}
/* Fim do Botão Como é Possível */

/* Começo da Imagem 3D */
.imgDesc {
  flex: 1;
  display: flex;
  justify-content: center;
}

.imgDesc img {
  width: %;
  max-width: 700px;
  border-radius: 12px;
}
/* Fim da Imagem 3D */

/* Começo da Sessão Pitch */
.pitch {
  display: flex;
  justify-content: center;
  padding: 4rem 2rem;
}
/* Fim da Sessão Pitch */

/* Começo da Class com o Título, o Vídeo e a Explicação */
.fun {
  max-width: 1000px;
  width: 100%;
  text-align: center;
}
/* Fim da Class com o Título, o Vídeo e a Explicação */

/* Começo do Título do Vídeo */
.fun h1 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 2.5rem;
  letter-spacing: 4px;
  text-align: center;
  margin-bottom: 2rem;
  color: black;
  background-image: linear-gradient(to right, #6f00ff49, #f9b14f);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
  line-height: 1.1;
}
/* Fim do Título do Vídeo */

/* Começo do Vídeo */
.fun video {
  width: 100%;
  max-width: 800px;
  border-radius: 12px;
  margin-bottom: 1.5rem;
}
/* Fim do Vídeo*/

/* Começo do Texto do Vídeo*/
.fun p {
  font-family: "Textos", sans-serif;
  font-size: 1.2rem;
  font-style: italic;
  text-align: justify;
  line-height: 1.7;
  color: #0b0111;
  max-width: 800px;
  margin: 0 auto;
}
/* Fim do Texto do Vídeo */

/* Começo da Sessão Desenvolvedores */
.devs {
  display: flex;
  justify-content: center;
  padding: 4rem 2rem;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
}
/* Fim da Sessão Desenvolvedores */

.devs h1 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 2.5rem;
  letter-spacing: 4px;
  text-align: center;
  margin-bottom: 2rem;
  color: black;
  background-image: linear-gradient(to right, #6f00ff49, #f9b14f);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
  line-height: 1.1;
}

/* Começo da Class que Agrupa os 3 Cards */
.cards {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
  width: 100%;
  text-align: center;
  margin: 0 auto;
  flex-wrap: wrap;
  gap: 2rem;
}

.cards .card {
  margin: 1rem;
}
/* Fim da Class que Agrupa os 3 Cards */

/* Começo da Class de Cada Card */
.card {
  background: linear-gradient(180deg, #f9b14f 0%, #fffdf6 90%, #fffdf6 100%);
  border-radius: 300px 300px 0px 0px;
  cursor: pointer;
  padding-top: 1rem;
  padding-bottom: 2rem;
  padding-left: 1rem;
  padding-right: 1rem;
  text-align: center;
  width: 280px;
  height: 400px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.card img {
  width: 220px;
  height: 240px;
  object-fit: cover;
  border-radius: 50%;
  margin-bottom: 1.2rem;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

.card h4 {
  font-family: "Titulos", sans-serif;
  font-size: 1.2rem;
  color: inherit;
  margin-bottom: 0.5rem;
}

.card p {
  font-family: "Textos", sans-serif;
  font-size: 1rem;
  color: #0b0111;
  line-height: 1.3;
}
/* Fim do Encargo no Card */

.card:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
}
/* Fim da Class de Cada Card */

/* Começo da Sessão Baixar */
.baixar {
  padding: 2rem 2rem;
  text-align: center;
}

.baixar h1 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 2.5rem;
  letter-spacing: 4px;
  text-align: center;
  margin-bottom: 2rem;
  color: black;
  background-image: linear-gradient(to right, #6f00ff49, #f9b14f);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
  line-height: 1.1;
}
/* Fim da Sessão Baixar */

/* Começo da Class que Agrupa as 2 Opções de Download */
.mets {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 4rem;
  margin-top: 2rem;
}
/* Fim da Class que Agrupa as 2 Opções de Download */

/* Começo da Class com os Itens do GitHub */
.github {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.github img {
  object-fit: contain;
  margin-bottom: 2rem;
  cursor: pointer;
  width: 300px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.github h4 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
  color: #271433;
  text-shadow: -1px 0px 3px #c58ade;
}

.github p {
  font-family: "Textos", sans-serif;
  font-size: 1rem;
  color: #0b0111;
  line-height: 1.3;
  font-style: italic;
}

.github img:hover {
  transform: scale(1.1);
}
/* Fim da Class com os Itens do GitHub */

/* Começo da Class com os Itens do .EXE */
.exe {
   display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.exe img {
  margin-bottom: 3.4rem;
  cursor: pointer;
  width: 490px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.exe h4 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
  color: #271433ff;
  text-shadow: -1px 0px 3px #c58ade;
}

.exe p {
  font-family: "Textos", sans-serif;
  font-size: 1rem;
  color: #0b0111;
  line-height: 1.3;
  font-style: italic;
}

.exe img:hover {
  transform: scale(1.1);
}
/* Fim da Class com os Itens do .EXE */

/* Começo da Sessão Footer */
footer {
  background-color: ;
  color: #f1f5f9;
  padding: 3rem 2rem 1.5rem;
  font-family: "Textos", sans-serif;
}
/* Fim da Sessão Footer */

/* Começo da Class que Agrupa Todos os Elementos do Footer */
.footer-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  gap: 2rem;
  flex-wrap: wrap; 
  max-width: 1200px;
  margin: 0 auto;
  width: 100%;
}
/* Fim da Class que Agrupa Todos os Elementos do Footer */

.footer-container h5 {
  font-family: "Gideon Roman", sans-serif;
  font-size: 1.2rem;
  margin-bottom: 0.8rem;
  color: #f9b14f;
}

/* Começo da Class com os Itens Privacidade e Termos */
.trp a {
  display: block;
  color: #271433;
  font-size: 0.95rem;
  margin-bottom: 0.4rem;
  transition: color 0.3s ease;
}

.trp a:hover {
  color: #8f39b4ff;
}

/* Fim da Class com os Itens Privacidade e Termos */

/* Começo da Class com as Informações de Contato */
.contato {
  display: block;
  color: #271433;
  font-size: 0.95rem;
  margin-bottom: 0.4rem;
  transition: color 0.3s ease;
}

.contato a {
  display: block;
  margin-bottom: 0.4rem;
}

.contato a:hover {
  color: #8f39b4ff;
}
/* Fim da Class com as Informações de Contato */

/* Começo da Class com as Redes Sociais */
.redes .icones {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.icones a {
  color: #271433;
  font-size: 1.7rem;
  transition: 0.3s;
}

.icones a:hover {
  transform: scale(1.1);
  text-shadow: 1px 2px 2px #c58ade;
}
/* Fim da Class com as Redes Sociais */

/* Começo da Class com o Texto de Copyright */
.copyright {
  width: 100%; 
  text-align: center;
  padding-top: 1rem;
  border-top: 1px solid rgba(255, 255, 255, 0.15);
  font-size: 0.85rem;
  font-weight: 600;
  color: #341647ff;
}
/* Fim da Class com o Texto de Copyright */

/* Começo da Responsividade */
@media (min-width: 1200px) { 
  .navbar {
    padding: 1rem 4rem;
  }

  .tema, .desc {
    padding: 0 2rem;
  }

  .cards {
    gap: 3rem;
  }

  .mets {
    gap: 6rem;
  }
} 

@media (max-width: 992px) { 
  .navbar{
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
  }

  .itensNav {
    flex-basis: 100%;
    order: 3;
    margin-top: 1rem;
    gap: 1rem;
  }

  .btnNav {
    order: 2;
  }

  .logotipo {
    order: 1;
  }

  .tema {
    flex-direction: column;
    text-align: center;
  }

  .textoTema h1, .textoTema p {
    text-align: center;
    max-width: 100%;
  }

  .desc {
    display: flex;
    flex-direction: column; 
    align-items: center;  
    justify-content: center;  
    text-align: center;
    gap: 3rem;
    max-width: 1200px;
    width: 100%;
  }

  .textoDesc h1, .textoDesc p {
    text-align: center;
    max-width: 100%;
  }

  .btnSb {
    margin: 1rem auto; 
  }

  .cards {
    flex-direction: column;
    gap: 1.5rem;
  }

  .mets {
    flex-direction: column;
    gap: 3rem;
  }

  .github img {
    width: 250px;
  }

  .footer-container {
    flex-direction: column;
    text-align: center;
    align-items: center;
  }
} 

@media (max-width: 600px) { 
  .navbar {
    padding: 1rem;
    flex-direction: column;
    align-Itens: center;
  }

  .logotipo {
    margin-bottom: 1rem;
  }

  .itensNav {
    flex-direction: column;
    gap: 0.5rem;
    margin-bottom: 1rem;
  }

  .btnNav {
    width: 50%;
    text-align: center;
  }

  .merlin, .sobre, .pitch, .devs, .baixar {
    padding: 2rem 1rem;
  }

  .textoTema h1, .textoDesc h1, .fun h1, .devs h1, .baixar h1 {
    font-size: 2rem;
  }

  .textoTema p, .textoDesc p, .fun p {
    font-size: 1rem;
  }

  .imgTema img,
  .imgDesc img {
    max-width: 90%;
  }

  .card {
    width: 250px;
    height: auto;
    padding-bottom: 1rem;
  }

  .card img {
    width: 180px;
    height: 200px;
  }

  .github img {
    width: 200px;
  }

  .footer-container {
    align-items: flex-start;
    text-align: left;
  }

  .trp, .contato, .redes {
    width: 100%;
    text-align: center;
  }
} 

@media (max-width: 400px) {
  .textoTema h1, .textoDesc h1, .fun h1, .devs h1, .baixar h1 {
    font-size: 1.8rem;
  }

  .card {
    width: 220px;
  }

  .card img {
    width: 160px;
    height: 180px;
  }

  .github img {
    width: 180px;
  }
}
/* Fim da Responsividade */